﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.07
@EndOfDesignText@
'Static code module
Sub Class_Globals	
	Public vuetify As VuetifyApp
	Public page As VueComponent
	Public path As String
	Public name As String = "two"
	Private banano As BANano		'ignore
	
	
	Private contDynamic As VContainer
	Private dynaForm As BVAD3Form
	Private VField1 As VField
	Private VForm1 As VForm
	Private VStepper1 As VStepper
End Sub

Sub Initialize(v As VuetifyApp)				'ignoreDeadCode
	'establish a reference to the app
	vuetify = v
	'initialize the component
	page.Initialize(Me, name)
	page.vuetify = vuetify
	page.Title = "Two"
	path = page.path
	'
	'build the page html here
	banano.LoadLayout(page.Here, "view2")
	dynaForm.Clear
	dynaForm.AddTextField("firstname", "First Name", "", 10)
	dynaForm.AddClass("firstname", "mx-4")
	dynaForm.AddStyle("firstname", "background-color", "pink")
	dynaForm.SetHint("firstname", "This is a hint")
	dynaForm.SetCols("firstname", "6")
	dynaForm.SetReadOnly("firstname", True)
	dynaForm.Refresh(page)
	'add this route component to the app
	vuetify.AddRoute(page)
End Sub



Sub beforeEnter(boTo As Map, boFrom As Map, boNext As BANanoObject)   'ignoreDeadCode
	vuetify.Loading(True)
	'the page we are going to
	'vuetify.SaveRoute(boTo, False)
	'check authentication
	'If vuetify.Authenticated = False Then
	'user is not authenticated, go to login page
	'	vuetify.NavigateToNext(boNext, "login")
	'	Return
	'End If
	'continue navigation
	vuetify.NavigateToNext(boNext, "")
	vuetify.SetBrowserTitle(boTo)
End Sub

'Use beforeDestroy if you need to clean-up events or reactive subscriptions:	
'Sub beforedestroy		'ignoreDeadCode
'	Log("beforedestroy")
'End Sub

'The updated hook runs after data changes on your component and the DOM re-renders.
'Sub updated			'ignoreDeadCode
'	Log("updated")
'End Sub

'The beforeUpdate hook runs after data changes on your component and the update cycle begins, right before the DOM is patched and re-rendered.
'Sub beforeupdate		'ignoreDeadCode
'	Log("beforeupdate")
'End Sub

'The beforeMount hook runs right before the initial render happens and after the template or render functions have been compiled:
'Sub beforemount		'ignoreDeadCode
'	Log("beforemount")
'End Sub

'The beforeCreate hook runs at the very initialization of your component. data has not been made reactive, and events have not been set up yet
'Sub beforecreate		'ignoreDeadCode
'	Log("beforecreate")
'End Sub

'You are able to access reactive data and events that are active with the created hook.
'Templates and Virtual DOM have not yet been mounted or rendered:
'Sub created		'IgnoreDeadCode
'	Log("created")
'End Sub

'In the mounted hook, you will have full access to the reactive component, templates, and rendered DOM
Sub mounted		'ignoreDeadCode
	vuetify.Loading(False)
End Sub

'Use destroyed if you need do any last-minute cleanup or inform a remote server that the component was destroyed:
'Sub destroyed		'ignoreDeadCode
'	Log("destroyed")
'End Sub


Sub created

	dynaForm.Clear
	dynaForm.AddTextField("firstname", "First Name", "", 10)
	dynaForm.AddClass("firstname", "mx-4")
	dynaForm.AddStyle("firstname", "background-color", "pink")
	dynaForm.SetHint("firstname", "This is a hint")
	dynaForm.SetCols("firstname", "6")
	dynaForm.SetReadOnly("firstname", True)
	
	dynaForm.AddFile("imgx", "Browse a file", "", False)
	
	dynaForm.AddCheckBox("agree", "I agree", True,  "purple")
	dynaForm.AddDate("dateofbirth", "Date of Birth", "", "")
	dynaForm.AddSlider("age", "Age", 48, 0, 100, True, "24")
	dynaForm.AddSwitch("active", "Active", True, "deep-orange", True)
	dynaForm.AddTextArea("notes", "Notes", "", 0)
	dynaForm.SetMinLength("notes", 10)
	dynaForm.SetMaxLength("notes", 255)
	
	dynaForm.AddTelephone("telephone", "Telephone", "")
	dynaForm.AddTextFieldMulti("email", "To", Array("anele@x.com", "xolani@b.com"))
	dynaForm.AddNumber("boxes", "Number Entry", 43, -1, -1)
	dynaForm.AddNumberMulti("stocks", "Multi Numbers", Array(10, 11))
	dynaForm.AddTime("mytime", "Enter Time", "", "")
	dynaForm.AddDateTime("mydatetime", "Date Time", "", "")
	dynaForm.AddColorPicker("mycolor", "Select a color", "")
	
	dynaForm.AddComboBox("acx1", "ComboBox", "2")
	dynaForm.AddItem("acx1", "1", "A")
	dynaForm.AddItem("acx1", "2", "B")
	dynaForm.AddItem("acx1", "3", "C")
	
	dynaForm.AddComboBoxMulti("acx2", "ComboBox Multi", "1")
	dynaForm.AddItemMulti("acx2", "1", "Multi A")
	dynaForm.AddItemMulti("acx2", "2", "Multi B")
	dynaForm.AddItemMulti("acx2", "3", "Multi C")
	'
	dynaForm.AddSwitchMulti("covid", "Covid Test", "blue", True, Array("1"))
	dynaForm.AddItemMulti("covid", "1", "A")
	dynaForm.AddItemMulti("covid", "2", "B")
	dynaForm.AddItemMulti("covid", "3", "C")
	'
	dynaForm.AddCheckBoxMulti("covid1", "Checking Items", "green", Array("2"))
	dynaForm.AddItemMulti("covid1", "1", "AA")
	dynaForm.AddItemMulti("covid1", "2", "BB")
	dynaForm.AddItemMulti("covid1", "3", "CC")
	
	dynaForm.AddAutoComplete("acx", "Auto Complete", "3")
	dynaForm.AddItem("acx", "1", "A")
	dynaForm.AddItem("acx", "2", "B")
	dynaForm.AddItem("acx", "3", "C")
	'
	dynaForm.AddAutoCompleteMulti("acx3", "AutoComplete Multi", "1")
	dynaForm.AddItemMulti("acx3", "1", "Multi A")
	dynaForm.AddItemMulti("acx3", "2", "Multi B")
	dynaForm.AddItemMulti("acx3", "3", "Multi C")
	'
	dynaForm.AddSelect("acx4", "Select", "3")
	dynaForm.AddItem("acx4", "1", "A")
	dynaForm.AddItem("acx4", "2", "B")
	dynaForm.AddItem("acx4", "3", "C")
	'
	dynaForm.AddSelectMulti("acx5", "Select Multi", "1")
	dynaForm.AddItemMulti("acx5", "1", "Multi A")
	dynaForm.AddItemMulti("acx5", "2", "Multi B")
	dynaForm.AddItemMulti("acx5", "3", "Multi C")
		
	dynaForm.AddRadio("gender", "Gender", "m")
	dynaForm.AddItem("gender", "m", "Male")
	dynaForm.AddItem("gender", "f", "Female")
	
	dynaForm.Refresh(page)
End Sub